import { OnDestroy, OnInit } from '@angular/core';
import { PendingInterceptorService } from '../../services/pending-interceptor.service';
import { SpinnerVisibilityService } from '../../services/spinner-visibility.service';
export declare class SpinnerComponent implements OnDestroy, OnInit {
    private pendingInterceptorService;
    private spinnerVisibilityService;
    isSpinnerVisible: boolean;
    spinkit: {
        skChasingDots: string;
        skCubeGrid: string;
        skDoubleBounce: string;
        skRotatingPlane: string;
        skSpinnerPulse: string;
        skThreeBounce: string;
        skWanderingCubes: string;
        skWave: string;
    };
    private subscriptions;
    private startTime;
    backgroundColor: string;
    spinner: string;
    filteredUrlPatterns: string[];
    filteredMethods: string[];
    filteredHeaders: string[];
    debounceDelay: number;
    minDuration: number;
    entryComponent: any;
    constructor(pendingInterceptorService: PendingInterceptorService, spinnerVisibilityService: SpinnerVisibilityService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private nullifySpinnerIfEntryComponentIsDefined();
    private handleSpinnerVisibility();
    private handleDebounceDelay(hasPendingRequests);
    private handleMinDuration(hasPendingRequests);
}
